# check_subexpressions function

(Shortest import: `from brian2.equations.equations import check_subexpressions)`

brian2.equations.equations.check_subexpressions(group, equations, run_namespace)

  Checks the subexpressions in the equations and raises an error if a subexpression refers to stateful functions without being marked as “constant over dt”.

  Parameters:

    group : `Group`

    > The group providing the context.

    equations : `Equations`

    > The equations to check.

    run_namespace : dict

    > The run namespace for resolving variables.

  Raises

  `SyntaxError`

    For subexpressions not marked as “constant over dt” that refer to stateful functions.